# Stock Symbol Scraper

Scrapes the entire list of stocks off of [MarketWatch.com](https://www.marketwatch.com/tools/markets/stocks/a-z/), which includes company name, stock symbol, country, exchange, and sector (if available).

**NOTE**: No prices or financials of any kind are collected.

Asynchronous HTTP requests are currently used by default.

This is not intended to be run continuously since the data gathered this way will rarely change.

### Dependencies

- [Python](https://www.python.org/) 3.7+

Should run on most Linux/Windows systems. Tested on Arch and Windows 10.

### Building

Clone this repo, install `build` via pip, then run `pip -m build` 
from the repository's root directory. This should produce a `dist/` 
subdirectory with a wheel (build) and archive (source) distribution.
The resulting `whl`-file can be installed via `pip install path/dist/***.whl`.

### Running

...
